Results 1 to 4 of 4

Thread: How to install older version of OpenCV in Opensuse leap 15.0

  1. #1

    Default How to install older version of OpenCV in Opensuse leap 15.0

    Will Opensuse leap 15.0 support older version of OpenCV?

    Opensuse leap 15.0 has builtin OpenCV version of 3.3 and i need to install OpenCV version 2.4

    When i try to install older version i get below dependency error:

    Code:
    linux-29hf:# rpm -i opencv-2.4.11-2.11.x86_64.rpm
    error: Failed dependencies:
            libopencv_calib3d.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64
            libopencv_core.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64
            libopencv_highgui.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64
            libopencv_imgproc.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64
            libopencv_ml.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64
            libopencv_objdetect.so.2.4()(64bit) is needed by opencv-2.4.11-2.11.x86_64

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,718

    Default Re: How to install older version of OpenCV in Opensuse leap 15.0

    In any case, I guess it is better to use zypper to install the RPM rather then rpm. Because zypper will install the dependencies when it can find them in the repos and rpm does not know anything about the repos.

    But it would of course be very logical that an older version of a package requires similar older versions of other packages.
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,797
    Blog Entries
    1

    Default Re: How to install older version of OpenCV in Opensuse leap 15.0

    Let's see... It seems that OpenCV 2.4 was released in 2013 which is the year that openSUsE 13.1 was released...
    There's a chance that 13.2 might still support dependencies of packages in 2013, but it's unlikely very many packages will be supported by the time LEAP 42.1 was released in 2015.

    Recommend you build an openSUSE 13.1 or a 13.2 in a virtual machine isolated from the Internet. The OSS and non-OSS repos are probably available as archives at that time, but I wouldn't know how to find archive repos for any of the specialty repos,

    I'd probably recommend you talk to OpenCV folk for their recommendations how to migrate the data you might have to a current OpenCV.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,581
    Blog Entries
    14

    Default Re: How to install older version of OpenCV in Opensuse leap 15.0

    This repo here, has 2.4, use at own risk https://build.opensuse.org/package/s...Manakin/opencv
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •